package com.sooka.system.service.impl;

import java.util.List;

import com.sooka.common.annotation.DataSource;
import com.sooka.common.core.text.Convert;
import com.sooka.common.enums.DataSourceType;
import com.sooka.framework.util.ShiroUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.sooka.system.mapper.TgjjDwzhxxMapper;
import com.sooka.system.domain.TgjjDwzhxx;
import com.sooka.system.service.ITgjjDwzhxxService;

/**
 * 单位账户信息Service业务层处理
 *
 * @author lei
 * @date 2021-11-16
 */
@Service

public class TgjjDwzhxxServiceImpl extends Guiji_Base_Service implements ITgjjDwzhxxService
{
    @Autowired
    private TgjjDwzhxxMapper tgjjDwzhxxMapper;

    /**
     * 查询单位账户信息
     *
     * @param ID 单位账户信息ID
     * @return 单位账户信息
     */
    @Override
    public TgjjDwzhxx selectTgjjDwzhxxById(Long ID)
    {
        return tgjjDwzhxxMapper.selectTgjjDwzhxxById(ID);
    }

    /**
     * 查询单位账户信息列表
     *
     * @param tgjjDwzhxx 单位账户信息
     * @return 单位账户信息
     */
    @Override
    public List<TgjjDwzhxx> selectTgjjDwzhxxList(TgjjDwzhxx tgjjDwzhxx)
    {
        List ls = tgjjDwzhxxMapper.selectTgjjDwzhxxList(tgjjDwzhxx);
        tgjjDwzhxx.setInterfaceinfoId("5d212bad-bceb-435e-8c3d-90b91e238ee6");
        tgjjDwzhxx.setInterfaceinfoName("共享-市公积金-单位账户信息");
        tgjjDwzhxx.setInterfacetype("platform_interfacetype_1");
        Long deptId = ShiroUtils.getSysUser().getDept().getDeptId();
        String deptName = ShiroUtils.getSysUser().getDept().getDeptName();
        tgjjDwzhxx.setDeptId(deptId);
        tgjjDwzhxx.setDeptName(deptName);
        add_log(tgjjDwzhxx);
        return ls;
    }

    /**
     * 新增单位账户信息
     *
     * @param tgjjDwzhxx 单位账户信息
     * @return 结果
     */
    @Override
    public int insertTgjjDwzhxx(TgjjDwzhxx tgjjDwzhxx)
    {
        return tgjjDwzhxxMapper.insertTgjjDwzhxx(tgjjDwzhxx);
    }

    /**
     * 修改单位账户信息
     *
     * @param tgjjDwzhxx 单位账户信息
     * @return 结果
     */
    @Override
    public int updateTgjjDwzhxx(TgjjDwzhxx tgjjDwzhxx)
    {
        return tgjjDwzhxxMapper.updateTgjjDwzhxx(tgjjDwzhxx);
    }

    /**
     * 删除单位账户信息对象
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    @Override
    public int deleteTgjjDwzhxxByIds(String ids)
    {
        return tgjjDwzhxxMapper.deleteTgjjDwzhxxByIds(Convert.toStrArray(ids));
    }

    /**
     * 删除单位账户信息信息
     *
     * @param ID 单位账户信息ID
     * @return 结果
     */
    @Override
    public int deleteTgjjDwzhxxById(Long ID)
    {
        return tgjjDwzhxxMapper.deleteTgjjDwzhxxById(ID);
    }
}
